# browserify@2.0.0

## rip out middleware

out of scope, doesn't belong

## rip out coffee-script

use plugins for that instead

## use [required](https://github.com/shtylman/node-required)

to make json blobs

## bundle json

`browserify --bundle` to read json from stdin or implicitly by checking to see
if browserify is not a tty

bundling should be async

## plugins

Plugins should just be programs that read json on stdin and write json on
stdout.

Plugins and bundles should accept multiple json objects to make `--watch` mode
work so json objects could be written continuously.
   
Newline separated json seems like a simple way to do this.

Make this work:
   
```
browserify main.js --json | plugin1 | plugin2 | browserify > bundle.js
```

## `> bundle.js` in `--watch` mode

Research if `... | browserify > bundle.js` can be made to be compatible with
`--watch` mode using unix fd hacks, otherwise just use `-o`.
